# Bigloo does not generate debug information
%global debug_package %{nil}

Name:           scheme2js
Version:        20110717
Release:        2%{?dist}.1
Summary:        Scheme to JavaScript compiler

Group:          Development/Languages
License:        LGPLv2+ or CeCILL or CeCILL-C
URL:            http://www-sop.inria.fr/mimosa/scheme2js/
Source0:        http://www-sop.inria.fr/mimosa/scheme2js/files/scheme2js-%{version}.tar.gz

BuildRequires:  bigloo
#Requires:       

ExcludeArch:    ppc64

%description
Scheme2Js is a Scheme to JavaScript compiler. While some effort has
been spent on being as close as possible to R5RS, we concentrated
mainly on efficiency. Usually Scheme2Js produces JavaScript code, that
is comparable to hand-written code. In order to achieve this
performance, Scheme2Js is not completely R5RS compliant. In particular
it lacks exact numbers. Scheme2Js is not yet complete either: it lacks
hygienic macros and the eval procedure.


%prep
%setup -q
# fix non-UTF8 file encodings
for f in COPYING.CeCILL*; do
  iconv -f iso88591 -t utf8 $f -o $f.utf8
  touch -r $f $f.utf8
  mv $f.utf8 $f
done


%build
# picks up Bigloo's compiler flags, no need to pass it in
./configure --prefix=%{_prefix} --mandir=%{_mandir}/man1
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changelog doc/index.html LICENSE COPYING.*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*


%changelog
* Sat Oct  1 2011 Michel Salim <salimma@fedoraproject.org> - 20110717-2.1
- Actually build against Bigloo 3.7a

* Sat Oct  1 2011 Michel Salim <salimma@fedoraproject.org> - 20110717-2
- Rebuild for Bigloo 3.7a

* Mon Jul 25 2011 Michel Salim <salimma@fedoraproject.org> - 20110717-1
- Update to 20110717

* Fri Jul 15 2011 Michel Salim <salimma@fedoraproject.org> - 20110424-1
- Update to 20110424

* Mon Mar 28 2011 Michel Salim <salimma@fedoraproject.org> - 20101114-1
- Update to 20101114

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090717-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul  2 2010 Michel Salim <salimma@fedoraproject.org> - 20090717-2
- Bump for Bigloo update

* Sun May  9 2010 Michel Salim <salimma@fedoraproject.org> - 20090717-1
- Update to 20090917

* Sun Aug 16 2009 Gerard Milmeister <gemi@bluewin.ch> - 20081219-4
- Rebuilt against bigloo 3.2b

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20081219-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar  4 2009 Michel Salim <salimma@fedoraproject.org> - 20081219-2
- Not building on ppc64, as bigloo is not available

* Sun Mar  1 2009 Michel Salim <salimma@fedoraproject.org> - 20081219-1
- Initial package

